Changes between Version 21 and Version 22 of SiteUpgradeProposal


Ignore:
Timestamp:
Jul 25, 2012, 11:25:33 PM (2 years ago)
Author:
hasienda
Comment:

some more comments and suggestions

Legend:

Unmodified
Added
Removed
Modified
  • SiteUpgradeProposal

    v21 v22  
    11= Site Upgrade Proposal =
    22
    3 This page documents the proposed work for upgrading trac-hacks.org from `0.10.6dev` to `0.12.3` or `1.0`.
     3This page documents the proposed work for upgrading trac-hacks.org from `0.10.6dev` to `0.12.3`, or better `1.0`.
    44
    55The first stage of the project will be to upgrade the site to a newer version of Trac. The installed plugins will need to be adapted to the newer version of Trac and extensive testing will need to be done before the upgraded site can go live.
     
    99== Plugins ==
    1010
    11 The following plugins needed to be tested and modified to work with the upgrade version of Trac.
     11The following plugins needed to be upgraded, tested and possibly fixed to work with the upgraded version of Trac.
    1212
    1313 * AccountManagerPlugin
     
    2828 * ~~TicketChangePlugin~~ - Integrated into core with Trac 0.12 (permission `TICKET_EDIT_COMMENT`)
    2929 * ~~TicketDeletePlugin~~ - Integrated into core as option component with Trac 0.12 (`tracopt.ticket.deleter`)
    30  * TocMacro
     30 * TocMacro - or better migrate macro calls to native `PageOutline` wiki macro from Trac core
    3131 * TracBlogPlugin - deprecated, use FullBlogPlugin
    3232 * TracHacksPlugin
     
    3737
    3838== Other Packages ==
    39 
    40  * Subversion: 1.5.1 -> 1.6.18
    41  * Python: 2.5 -> 2.7
     39 * Subversion: 1.5.1 -> 1.6.18 - post-upgrade, requires Trac > 0.11.4
     40 * Python: 2.5 -> 2.7 - optional, Trac 1.0 will not require more than 2.5
    4241 * Pygments: 1.5
    4342